Reconcile an incoming AdCP advertiser identity
curl --request PUT \
--url https://api.interchange.io/api/v2/organization/advertisers/{relationshipRef}/reconciliation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiserId": "<string>",
"identity": {
"brand": {
"domain": "<string>",
"id": "<string>",
"countries": []
},
"operator": {
"domain": "<string>",
"unitId": "<string>"
},
"fixedCurrency": "<string>",
"sandbox": true
}
}
'import requests
url = "https://api.interchange.io/api/v2/organization/advertisers/{relationshipRef}/reconciliation"
payload = {
"advertiserId": "<string>",
"identity": {
"brand": {
"domain": "<string>",
"id": "<string>",
"countries": []
},
"operator": {
"domain": "<string>",
"unitId": "<string>"
},
"fixedCurrency": "<string>",
"sandbox": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
advertiserId: '<string>',
identity: {
brand: {domain: '<string>', id: '<string>', countries: []},
operator: {domain: '<string>', unitId: '<string>'},
fixedCurrency: '<string>',
sandbox: true
}
})
};
fetch('https://api.interchange.io/api/v2/organization/advertisers/{relationshipRef}/reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"entry": {
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 4503599627370495,
"advertiserId": "<string>"
},
"delegation": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"capabilities": [
"advertiser.read"
],
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z"
},
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"operatorDomain": "<string>",
"operatorDisplayName": "<string>",
"brandDomain": "<string>"
},
"revision": 4503599627370495
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Reconcile an incoming AdCP advertiser identity
Append an authorized binding revision only when the advertiser matches the complete authenticated BrandRef, operator, currency, and sandbox tuple.
PUT
/
organization
/
advertisers
/
{relationshipRef}
/
reconciliation
Reconcile an incoming AdCP advertiser identity
curl --request PUT \
--url https://api.interchange.io/api/v2/organization/advertisers/{relationshipRef}/reconciliation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiserId": "<string>",
"identity": {
"brand": {
"domain": "<string>",
"id": "<string>",
"countries": []
},
"operator": {
"domain": "<string>",
"unitId": "<string>"
},
"fixedCurrency": "<string>",
"sandbox": true
}
}
'import requests
url = "https://api.interchange.io/api/v2/organization/advertisers/{relationshipRef}/reconciliation"
payload = {
"advertiserId": "<string>",
"identity": {
"brand": {
"domain": "<string>",
"id": "<string>",
"countries": []
},
"operator": {
"domain": "<string>",
"unitId": "<string>"
},
"fixedCurrency": "<string>",
"sandbox": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
advertiserId: '<string>',
identity: {
brand: {domain: '<string>', id: '<string>', countries: []},
operator: {domain: '<string>', unitId: '<string>'},
fixedCurrency: '<string>',
sandbox: true
}
})
};
fetch('https://api.interchange.io/api/v2/organization/advertisers/{relationshipRef}/reconciliation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"entry": {
"rosterEntryId": "<string>",
"advertiserId": "<string>",
"displayName": "<string>",
"relationshipClass": "owned",
"operatorRelationship": "organization",
"operatingMode": "managed",
"sandbox": true,
"system": true,
"binding": {
"provenance": "compatibility_account",
"state": "resolved",
"reason": "backing_account_missing"
},
"backing": {
"kind": "compatibility_account",
"accountId": 4503599627370495,
"advertiserId": "<string>"
},
"delegation": {
"grantRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner": {
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>"
},
"capabilities": [
"advertiser.read"
],
"status": "active",
"expiresAt": "2023-11-07T05:31:56Z"
},
"capabilities": {
"read": true,
"advertiserManagement": "available",
"campaignManagement": "available",
"relationshipManagement": "available"
},
"readiness": {
"state": "ready"
},
"operatorDomain": "<string>",
"operatorDisplayName": "<string>",
"brandDomain": "<string>"
},
"revision": 4503599627370495
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json